{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
  {% block contenido %}

    <br>
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-xl-2 col-sm-6 mb-xl-0 mb-9">
        </div>
        <div class="col-xl-10 col-sm-6 mb-xl-0 mb-9">
          <h3>EDITAR CURSOS</h3>
          <form class="" action="/procesarActualizacionCurso/" method="post" enctype="multipart/form-data" id='frm_nuevo_curso'>
            {% csrf_token %}
            <div class="row">
              <div class="col-md-6">
                <input type="hidden" name="idCursoGEPT" value="{{curso.idCursoGEPT}}">
                <b>SELECCIONE LA CARRERA</b>
                <select  name="id_carrera"  id="id_carrera" data-live-search="true" data-live-search-style="startsWith" class="selectpicker"required>
                  <option value="">-- Seleccione la carrera --</option>
                  {% for carrera in carreras %}
                  <option value="{{carrera.idCarreraGEPT}}">{{carrera.nombreCarreraGEPT}}</option>
                  {% endfor %}
                </select>
                <script type="text/javascript">
                  document.getElementById("id_carrera").value="{{curso.carrera.idCarreraGEPT}}"
                </script>
                <br>
                <b>NIVEL:</b>
                <input type="text" name="nivelCursoGEPT" id="nivelCursoGEPT" value="{{curso.nivelCursoGEPT}}" placeholder="Ingrese el nivel del curso" class="form-control" required>
                <br>

                <b>BLOQUE:</b>
                <input type="text" name="bloqueCursoGEPT" id="bloqueCursoGEPT" value="{{curso.bloqueCursoGEPT}}" placeholder="Ingrese el Bloque del curso" class="form-control" required>
                <br>
                <b>JORNADA:</b>
                <input type="text" name="horarioCursoGEPT" id="horarioCursoGEPT" value="{{curso.horarioCursoGEPT}}" placeholder="Ingrese el Horario" class="form-control" required>
                <br>
                <b>AULA:</b>
                <input type="text" name="aulaCursoGEPT" id="aulaCursoGEPT" value="{{curso.aulaCursoGEPT}}" placeholder="Ingrese el Aula" class="form-control" required>
                <br><br>
              </div>
              <div class="col-md-6">
                <b>DESCRIPCION:</b>
                <textarea name="descripcionCursoGEPT" id="descripcionCursoGEPT" placeholder="Ingrese la descripcion del curso" class="form-control" required rows="8" cols="80">{{curso.descripcionCursoGEPT}}</textarea>
                <br>
              </div>
            </div>
            <center>
              <button type="submit" name="button" class="btn btn-warning bg-gradient-warning">Actualizar</button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              <a type="reset" name="button" class="btn btn-danger bg-gradient-dander" href="{% url 'listadoCursos' %}">Cancelar</a>
            </center>
          </form>
          <hr>
        </div>
      </div>
      <script type="text/javascript">
        $(document).ready(function() {
          $("#frm_nuevo_curso").validate({
            rules: {
              "id_carrera": {
                required: true
              },
              "nivelCursoGEPT": {
                required: true
              },
              "descripcionCursoGEPT": {
                required: true
              },
              "aulaCursoGEPT": {
                required: true
              },
              "bloqueCursoGEPT": {
                required: true,
                lettersOnly: true
              },
              "horarioCursoGEPT": {
                required: true
              }
            },
            messages: {
              "id_carrera": {
                required: "Debe seleccionar una carrera"
              },
              "nivelCursoGEPT": {
                required: "Debe ingresar el nivel del curso"
              },
              "descripcionCursoGEPT": {
                required: "Debe ingresar una descripción del curso"
              },
              "aulaCursoGEPT": {
                required: "Debe ingresar el aula del curso"
              },
              "bloqueCursoGEPT": {
                required: "Debe ingresar el bloque del curso",
                lettersOnly: "Ingrese solo letras"
              },
              "horarioCursoGEPT": {
                required: "Debe ingresar el horario del curso"
              }
            }
          });

          // Agregar regla de método personalizado para validar solo letras
          $.validator.addMethod("lettersOnly", function(value, element) {
            return this.optional(element) || /^[a-zA-Z\s]+$/.test(value);
          }, "Ingrese solo letras");
        });
      </script>
  {% endblock %}
